
QGIS Application - Bug report #7834

Bad Allocation on Identify - v1.8

2013-05-15 06:41 AM - Mark Sabin

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16716

Description

QGIS Version: 1.8

Identify configuration: Top down

I have an existing project file which contains a mixture of PostGIS and Vector data (.tab format).  Identify works as expected.

I load some extra vector data (.tab) and identify, the process appears to progress to the point where the results are to be displayed in the

'Identify Results' window but the system hangs and then throws the 'Bad Allocation' error.

I have repeated by converting the .tab files to .shp files and receive the same error as well as when the data is loaded into a PostGIS

database and opened with the existing project.

I have since narrowed it down to occuring on an individual layer (attached) where the bad allocation occurs when identifying and the scale

is 1:1252.  I do not get the error when identifying at full extent.

I have also noted that I get a bad allocation error when this is the only visible layer and I zoom in from full extent.

If I remove this layer all returns to working as expected.

Related issues:

Related to QGIS Application - Bug report # 4819: "Identify Features" tool is ... Closed 2012-01-16

History

#1 - 2013-05-15 08:58 AM - Andre Joost

- Target version set to Version 2.0.0

Confirmed here with QGIS Master b9b943d on Windows 7; No problem on QGIS 1.8.0 and Master on Ubuntu 12.04/12.10.

The object has 28816 vertices. Is there a limit about that?

#2 - 2013-05-15 10:11 AM - Andre Joost

- File HP.LOG added

Attached is a DebugView Logfile.

#3 - 2013-05-16 01:13 AM - Mark Sabin
Adding extra detail as requested by Andre (sorry can't see how to add it to the original ticket detail):

Platform - Windows

Version - XP SP3

#4 - 2013-05-16 02:37 AM - Mark Sabin

Polygon split into 8 parts - identify now completes successfully

#5 - 2013-05-16 02:50 AM - Giovanni Manghi

Mark Sabin wrote:

Polygon split into 8 parts - identify now completes successfully

it is an old issue of QGIS, if the polygon is very complex (many nodes) the identify chokes/fails.

There should be already a ticket, please search it and eventually close this as duplicate. Cheers!

#6 - 2013-05-16 03:31 AM - Giovanni Manghi

Mark Sabin wrote:

Polygon split into 8 parts - identify now completes successfully

the ticket was this one #4819

you may want eventually to reopen it and/or merge it with this one, if the issue is the same.

#7 - 2013-05-16 04:13 AM - Andre Joost

- Status changed from Open to Closed

Files

DISTRI2M.zip 149 KB 2013-05-15 Mark Sabin

HP.LOG 98.6 KB 2013-05-15 Andre Joost
